<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>
<div class="dtt-wrapper">
<div id="<?php echo $id?>" class="wps-inline-modal" data-backdrop="static" data-keyboard="false" >
	<?php  /** Screen Recording **/ ?>
	<div class="dtt-inline-modal dtt-inline-modal-recording-only hide">
		<header>
			<p><?php echo __("Add New Recording",DTT_TEXT_DOMAIN);?><small><?php echo __(" ( Click on middle button for recording )",DTT_TEXT_DOMAIN);?></small></p>
			<span class="wps-inline-modal-close back-to-task">×</span>
		</header>
		<video id="screenRecording" playsinline class="video-js vjs-default-skin hide"></video>
		<audio id="audioRecording" class="video-js vjs-default-skin hide"></audio>
		<video id="videoRecording" playsinline class="video-js vjs-default-skin hide"></video>
		<video id="audioScreenRecording" playsinline class="video-js vjs-default-skin hide"></video>
		
		<div id="recording-btns">
			<a class="startRecording hide">
				<i class="audioRecording-audio hide fa fa-microphone fa-4x"></i> 
				<i class="screenRecording-screen hide fa fa-laptop fa-4x"></i> 
				<i class="videoRecording-video hide fa fa-video-camera fa-4x"></i> 
				<i class="audioScreenRecording-auScreen hide fa fa-desktop fa-4x"></i>
			</a>
		</div>
		<div class="wps_imgSubmit wps-screen-btn">
			<button type="button" class="back-to-task">
	        	<i class="fa fa-trash"></i>&nbsp;&nbsp;<?php echo __("BackToTask",DTT_TEXT_DOMAIN);?>
	        </button>
	        <button type="button" class="save-screen-btn pull-right back-to-task hide">
	        	<i class="fa fa-save"></i>&nbsp;&nbsp;<?php echo __("Save",DTT_TEXT_DOMAIN);?>
	        </button>
		</div>
	</div>
	<?php /* Recording Stop */?>
	<div class="stopRecording-btn <?php echo (!is_user_logged_in()?'stopRecording-btn-for-front':'');?>  hide">
		<a class="stopRecording"><i class="fa fa-stop"> </i> <?php echo __("Stop Recording ",DTT_TEXT_DOMAIN);?></a>
		<div class="showRecTimer"></div>
	</div>
	<?php /* show animation */?>
	<div class="dtt-inline-modal dtt-inline-modal-ottanimation hide">
		<div id="counting">
			<div class="counting-number"></div>
		</div>
	</div>
	<?php /* Recording buttons */ ?>
	<div class="dtt-inline-modal dtt-inline-modal-recording-btn-box hide">
		<div class="recording-btn-box">
			<span><?php echo __("Click on any button to set recording permission",DTT_TEXT_DOMAIN)?></span>
			<div class="recording-btn-box-item">
				<a href="javascript:void(0);" id="audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="rbb-audio-rec-btn">
			    	<i class="fa fa-microphone"></i>
			    	<?php echo __("Audio Only",DTT_TEXT_DOMAIN)?>
				</a>

				<a href="javascript:void(0);" id="screen-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="rbb-screen-rec-btn">
			    	<i class="fa fa-laptop"></i>
			    	<?php echo __("Screen Only",DTT_TEXT_DOMAIN)?>
				</a>
			</div>
			<div class="recording-btn-box-item">
				<a href="javascript:void(0);" id="video-audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="rbb-video-audio-rec-btn">
			    	<i class="fa fa-video-camera"> </i> 
			    	<?php echo __("Audio & Video",DTT_TEXT_DOMAIN)?>
				</a>

				<a href="javascript:void(0);" id="screen-audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="rbb-screen-audio-rec-btn">
			    	<i class="fa fa-desktop"> </i>
			    	<?php echo __("Audio & Screen",DTT_TEXT_DOMAIN)?>
				</a>
			</div>
			<button class="back-to-task"><?php echo __("Cancel",DTT_TEXT_DOMAIN)?></button>
		</div>
	</div>
	<?php /* screenshot model*/?>
	<div class="dtt-inline-modal dtt-inline-modal-screenshot hide">
		<img src="<?php echo DTT_API_URL.( 'images/screencapture.png' ); ?>">
		<p> <?php echo __("Scroll to position the screen and Drag or click on the page to take the screenshot",DTT_TEXT_DOMAIN)?>.</p>
		<!-- <button type="button" class="take-screen-shot"><?php echo __("Take Screenshot",DTT_TEXT_DOMAIN)?></button> -->
		<button type="button" class="back-to-task"><?php echo __("Cancel",DTT_TEXT_DOMAIN)?></button>
	</div>
	<?php /**Edit Selected and captured image **/ ?>
	<div class="dtt-inline-modal dtt-inline-modal-image-edit hide">
		<header>
			<p><?php echo __("Edit Captured Image",DTT_TEXT_DOMAIN);?></p>
			<span class="wps-inline-modal-close dtt-inline-modal-close">×</span>
		</header>
		<div class="image-tool">
			<div class="wps_imgDropdown hide darkroom-toolbar fabric-tool-container">
				<ul class="drop_icons_list">
					<li class="wps_border">
						<a href="javascript:void(0);" data-balloon-length="small" data-balloon="Undo" 
						data-balloon-pos="down" data-type="undo" class="fab-tool undo">
							<i class="fa fa-undo"></i>
						</a>
					</li>
					<li class="wps_border">
						<a href="javascript:void(0);" data-balloon-length="small" data-balloon="Redo" 
						data-balloon-pos="down" data-type="redo" class="fab-tool redo">
							<i class="fa fa-repeat"></i>
						</a>
					</li>
					<li class="wps_border">
						<a href="javascript:void(0);" data-balloon-length="small" data-balloon="Draw an arrow" 
						data-balloon-pos="down" data-type="arrow" class="fab-tool">
							<!-- <img src="<?php echo DTT_API_URL.( 'images/icon-2.png' );?>" alt="icon"> -->
							 	<i class="fa fa-long-arrow-right"></i>
						</a>
					</li>
					<li class="wps_border">
						<a href="javascript:void(0);" data-balloon-length="small" data-balloon="Add a text" 
						data-balloon-pos="down" data-type="text" class="fab-tool">
							<!-- <img src="<?php echo DTT_API_URL.( 'images/text.png');?>" alt="icon"> -->
							 	<i class="fa fa-text-height"></i>
						</a>
					</li>
					<li class="wps_border">
						<a href="javascript:void(0);" data-balloon-length="medium" data-balloon="Enable Drawing Mode" 
						data-balloon-pos="down" data-type="pen" class="fab-tool">
							<i class="fa fa-pencil"></i>
						</a>
					</li>
				    <li class="wps_border">
				    	<a href="javascript:void(0);" data-balloon-length="small" data-balloon="<?php echo __("Draw an reactangle",DTT_TEXT_DOMAIN);?>" 
						data-balloon-pos="down" data-type="reactangle" class="fab-tool">
				    		<!-- <img src="<?php echo DTT_API_URL.( 'images/icon-4.png' );?>" alt="icon"> -->
				    		<i class="fa fa-square-o"></i>
				    	</a>
				    </li>
				    <li class="wps_border">
			            <div class="dropdown">
			            	<a href="javascript:void(0)" class="fab-tool" data-balloon-length="large" data-balloon="<?php echo __("Choose a color",DTT_TEXT_DOMAIN);?>" 
						data-balloon-pos="right">
								<span id="dtt-activeColor" class="color <?php echo DTT_DEFAULT_COLOR_PRESET ?>"></span>
			            		<!-- <img src="<?php echo DTT_API_URL.( 'images/icon-5.png' );?>" alt="icon"> -->
			            	</a>
				            <div class="dropdown-content">
					            <ul>
						   	        <?php foreach (DTT_COLOR_PRESET as $color_key => $color_value):?>
							   	        <li <?php echo ($color_key==DTT_DEFAULT_COLOR_PRESET?'class="active"':'');?>>
							   	        	<a href="javascript:void(0);" data-val="<?php echo $color_value ?>" data-type="color" class="fab-tool">
							   	        		<span class="color <?php echo $color_key ?>"></span>
							   	        	</a>
							   	        </li>
						   	    	<?php endforeach;?>	
					            </ul>
				            </div>
			           </div>
				    </li>
					<?php /*li class="wps_border">
						<a href="javascript:void(0);" class="fab-tool-save fab-tool" data-balloon-length="large" data-balloon="<?php echo __("Save an image",DTT_TEXT_DOMAIN);?>" 
						data-balloon-pos="down">
							<!-- <img src="<?php echo DTT_API_URL.( 'images/icon-8.png');?>" alt="icon"> -->
							<i class="fa fa-save"></i>
						</a>
					</li*/?>
				</ul>
			</div>
		    
		    <div class="wps_image_wrapper align-center" id="taskUploadImageContainer">
				<img src="<?php echo DTT_API_URL.( 'images/task-default.gif'); ?>" id="taskUploadImage">		
			</div>
		</div>
		<div class="bg-white">
			<div class="note"> 
				<?php /*p>
					<b><?php echo __("Note",DTT_TEXT_DOMAIN);?> </b>: <span><?php echo sprintf(__("Please click on save icon (%s) and save image with all changes or want to delete then click on below trash icon (%s)",DTT_TEXT_DOMAIN),'<i class="fa fa-save"></i>','<i class="fa fa-trash"></i>');?> .</span>
				</p*/?>
			
				<div class="wps_imgSubmit">
					<!-- <button type="button" id="removeImageButton">
			        	<i class="fa fa-trash"></i>&nbsp;&nbsp;<?php echo __("Remove",DTT_TEXT_DOMAIN);?>
			        </button> -->
			        <button type="button" class="capture">
			        	<i class="fa fa-refresh"></i>&nbsp;&nbsp;<?php echo __("BackToTakeSnapshot",DTT_TEXT_DOMAIN);?>
			        </button>
			        <button type="button" class="back-to-task">
			        	<i class="fa fa-trash"></i>&nbsp;&nbsp;<?php echo __("BackToTask",DTT_TEXT_DOMAIN);?>
			        </button>
			        <button type="button" class="fab-tool-save pull-right">
			        	<i class="fa fa-save"></i>&nbsp;&nbsp;<?php echo __("Save",DTT_TEXT_DOMAIN);?>
			        </button>
				</div>
			</div>
		</div>
	</div>
	<?php /* Main popup Taskk detail*/?>
	<div class="dtt-inline-modal wps-inline-modal-content"> 
		<div class="wps-popup-logo">
			<span><?php echo __("Powered by",DTT_TEXT_DOMAIN);?>:</span> 
			<a href="https://dothattask.com/" target="_blank">
				<img src="<?php echo DTT_API_URL.( 'images/task-popup.png' ); ?>"/>
			</a>
		</div>
		<div class="wps-inline-modal-header">

			<span class="wps-inline-modal-close" onclick="dttCloseModalPopup('<?php echo $id?>');">&times;</span>
			<h4 class="wps-inline-modal-title"><?php echo __((isset($currentUser['admin_token'])?"Add new Task":"Add Feedback"),DTT_TEXT_DOMAIN)?></h4>

		</div>	
		
		<div class="clear"></div>
		<div class="wps-inline-modal-body wps_page_wrap">
	
		<form method="post" id="frmDttAddTask" onsubmit="return dttAddTask(this);" ajax-action="dtt_task_manager_add_ajax">
			<?php wp_nonce_field( 'dtt_addtask_nonce_action', 'dtt_addtask_nonce_field' ); ?>
			<div class="wps-form-msg"></div>
			<table>
				<tr>
					<td>
						<table class="wpsTaskAddTbl">
							<tr>
								<td>
									<label class="wpsTblLabel"><?php echo __("Title",DTT_TEXT_DOMAIN)?></label>
									<input type="text" required="" name="val[task_title]" class="wpsTblInput dttFormData" data-name="title" placeholder="<?php echo __("Choose a self explanatory name for the task",DTT_TEXT_DOMAIN);?>">
								</td>
							</tr>
							<tr>
								<td>
									<label class="wpsTblLabel"><?php echo __("Url",DTT_TEXT_DOMAIN)?></label>
									<input type="url" required="" name="val[task_url]" value="<?php echo $link; ?>" class="wpsTblInput dttFormData" data-name="url">
								</td>
							</tr>
							<tr>
								<td>
									<label class="wpsTblLabel"><?php echo __("Description",DTT_TEXT_DOMAIN)?></label>
									<textarea required="true" name="val[task_description]" rows="5" cols="20" class="wpsTblInput dttFormData" data-name="description" placeholder="<?php echo __("Add details of the task",DTT_TEXT_DOMAIN);?>"></textarea>
								</td>
							</tr>
							<?php if(isset($currentUser['admin_token'])):?>
							<tr>
								<td> 
									<div class="extra-fields">
										<div class="extra-container priority-warpper">
											<label>
												<?php echo __("Add priority to task",DTT_TEXT_DOMAIN)?>
											</label>
											<div class="align-middle priority-container">
												<input type="hidden" value="low" name="val[task_priority]" class="dttFormData" data-name="priority">
												<ul class="list-unstyled" id="priority">
												    <li class="init"><?php echo __("Select Task Prority",DTT_TEXT_DOMAIN);?></li>
												    <?php if(!empty($priority)){
														foreach($priority as $key=>$name){?>
													<li data-value="<?php echo $key;?>" class="<?php echo ($defaultPriority==$key?'selected':'');?>"><img src="<?php echo DTT_API_URL.'images/priority/'. $key; ?>.png" width="20px"><?php echo $name;?></li>
													<?php }} ?>
												</ul>
											</div>
										</div>
										<div class="clear"></div>
									</div>
								</td>
							</tr>
						<?php endif;?>
						</table>						
					</td>
				</tr> 
			</table>
			<div class="image-tool">
				<div class="wps_uploaded_files_wrapper" id="uploadDataContainer">
				</div>
				<div id="progressbar-container" class="hide">
					<div class="progressbar-file-detail">			
						<span class="filename" id="filename">file upload</span>
						<span class="filesize" id="filesize">0/0</span>			
					</div>			
					<div class="progressbar">			
						<div id="bar_progress" class="progressbar-range"></div>
					</div>
				</div>

            	<div class="hide">
					<input type="hidden" class="wpsDeleteUpload" name="wps_delete_upload" value="">
            	</div>
			</div>
			<div class="wps_uploadimg_btn">
				<br>
				<div class="wps_upload_btn">
					<span class="wps_optional text-left">Add Media(<?php echo __("optional",DTT_TEXT_DOMAIN)?>):</span>
					<div class="file-div">
						<a href="javascript:void(0);" class="wps_button_blue capture">
					    	<img src="<?php echo DTT_API_URL.( 'images/screencapture.png' );?>" class="scan-img" alt="upload">   <?php echo __("Screenshot",DTT_TEXT_DOMAIN)?>
						</a>
					</div>
					<?php /*div class="pull-left file-div">
						<a href="javascript:void(0);" class="wps_button_blue file-take">
						    <img src="<?php echo DTT_API_URL.( 'images/upload.png');?>" alt="upload">  <?php echo __("Upload Image",DTT_TEXT_DOMAIN)?><br>
						</a>
						<br>
						<span class="wps_optional">(<?php echo __("optional",DTT_TEXT_DOMAIN)?>)</span>
						<input type="file" name="val[task_image]" class="hide browse"  data-type="image" accept="image/*">
					</div*/?>
					<div class="file-div">
						<a href="javascript:void(0);" class="wps_button_blue file-take">
						    <i class="fa fa-paperclip up-icon"></i> <?php echo __("Upload Files",DTT_TEXT_DOMAIN)?><br>
						</a>
						<input type="file" name="val[task_files][]" class="hide browse"  data-type="files" accept=".doc,.docx,application/msword, .xls,.xlsx,application/vnd.ms-excel , text/plain, application/pdf,application/zip,application/x-zip,application/x-zip-compressed,image/bmp,image/jpeg,image/jpg,image/png" multiple="true">

					</div>
					<!-- Recording Buttons -->
					<div class="recording-permission-btn">
						<span class="wps_optional text-left">Take a recording(<?php echo __("optional",DTT_TEXT_DOMAIN)?>):</span>
						<div class="file-div">
							<a href="javascript:void(0);" id="recording-permission-btn" class="wps_button_blue">
						    	<i class="fa fa-microphone"></i>
						    	<?php echo __("Take Recordings",DTT_TEXT_DOMAIN)?>
							</a>
						</div>
					</div>
					<div class="recording-btn-box hide">
						<span class="wps_optional text-left">Recording Permission (<?php echo __("optional",DTT_TEXT_DOMAIN)?>):</span>
						<div class="file-div">
							<a href="javascript:void(0);" id="audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="wps_button_blue">
						    	<i class="fa fa-microphone"></i>
						    	<?php echo __("Audio",DTT_TEXT_DOMAIN)?>
							</a>
						</div>

						<div class="file-div">
							<a href="javascript:void(0);" id="screen-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="wps_button_blue">
						    	<i class="fa fa-desktop"></i>
						    	<?php echo __("Screen",DTT_TEXT_DOMAIN)?>
							</a>
						</div>
						<div class="file-div">
							<a href="javascript:void(0);" id="video-audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="wps_button_blue">
						    	<i class="fa fa-video-camera"> </i> 
						    	<?php echo __("Audio & Video",DTT_TEXT_DOMAIN)?>
							</a>
						</div>
						<div class="file-div">
							<a href="javascript:void(0);" id="screen-audio-rec-btn" urlHas="<?php echo $urlHasHttps ?>" class="wps_button_blue">
						    	<i class="fa fa-desktop"> </i>
						    	<?php echo __("Audio & Screen",DTT_TEXT_DOMAIN)?>
							</a>
						</div>
					</div>

				</div>
			</div>
			
			<br>
			<p class="wpsSubmitWrapper">
				<input type="hidden" name="val[image_file]" id="image_file" value="">
				<input type="hidden" name="val[upload_file]" id="upload_file" value="" class="dttFormData" data-name="upload_file">
				<input type="hidden" name="val[remove_file]" id="remove_file" value="" class="dttFormData" data-name="remove_file">
				<input type="hidden" name="val[create_type]" id="create_type" value="<?php echo ($dttTaskFunObj->_addTaskBtnForAudit?'audit':(isset($currentUser['admin_token'])?'owner':'feedback'))?>">
			</p>
			<div class="clear"></div>
			<div class="wps_imgSubmit">
				<button type="submit" class="wpsSubmitBtn getTaskTypeButton <?php echo (!$dttTaskFunObj->_addTaskBtnForAudit && isset($currentUser['admin_token'])?'':"btn");?>" data-type="draft">
            		<?php echo __((!$dttTaskFunObj->_addTaskBtnForAudit && isset($currentUser['admin_token'])?'Save As Draft':"Save"),DTT_TEXT_DOMAIN)?>
            	</button>
				<?php if(!$dttTaskFunObj->_addTaskBtnForAudit):
	            	if(isset($currentUser['admin_token'])):?>
					 <button type="submit" class="wpsSubmitBtn getTaskTypeButton btn" data-type="publish">
	                	<!-- <img src="<?php echo DTT_API_URL.( 'images/right-arrow.png');?>" alt="arrow"> --> <?php echo __("Publish",DTT_TEXT_DOMAIN)?>
	                </button>
	                <?php endif;
                endif;?>
        	</div>       	
			
			<div class="clear"></div>
		</form>	
		</div>	
	</div>
</div>
</div>