<?php 
if ( ! defined( 'ABSPATH' ) ) exit;

use DoThatTask\Includes\Gatway\Paypal\Paypal_Express;

$page_url =  admin_url( 'admin.php?page=dtt_task_manager_settings' );
$taskListUrl =  admin_url( 'admin.php?page=dtt_task_manager_view_task' );

$wpVals = $dttTaskFunObj->wpDefaultValues();
$wpVals['admin_email'] = (get_option(DTT_PLUGIN_PRIMARY_EMAIL)?get_option(DTT_PLUGIN_PRIMARY_EMAIL):$wpVals['admin_email']);
$curlViewUrl = $dttTaskFunObj->webServiceUrl("wp_plugin_setting/all/?email=".$wpVals['admin_email']);
$dttTaskFunObj->__defaultMethod = "GET";
$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl);
$aJson = json_decode($aResponse,true);

if(isset($aJson['wp_settings']['paypal'])){
	unset($aJson['wp_settings']['paypal']);
}

$aTeam = isset($aJson['aSetting']['assign'])?$aJson['aSetting']['assign']['options']:array(); 
$defaultTeam = isset($aJson['aSetting']['assign'])?$aJson['aSetting']['assign']['default']:''; 
$subscription = isset($aJson['aSetting']['subscription'])?$aJson['aSetting']['subscription']:array();
$currency = isset($aJson['aSetting']['currency'])?$aJson['aSetting']['currency']:'';
$periodArray = isset($aJson['aSetting']['period'])?$aJson['aSetting']['period']:array();
$aPersonalInfo = isset($aJson['personal'])?$aJson['personal']:array();

$aDttSetting = get_option(DTT_SETTING);
if(empty($aDttSetting)){
	$aDttSetting = array();
}
// update WP plugin setting with previous settings (if this plugin installed on site then we need to get last setting)
if(isset($aJson['wp_settings'])){
	$aDttSetting = $aJson['wp_settings'];
	update_option(DTT_SETTING,$aDttSetting);
	/*$subScription = array();
	$subScriptionApp = array();
	$commonSett = $aDttSetting;
	$commonSettApp = $aJson['wp_settings'];
	

	if(isset($aDttSetting['subscription'])){
		$subScription = $aDttSetting['subscription'];
		unset($commonSett['subscription']);
	}
	if(isset($aJson['wp_settings']['subscription'])){
		$subScriptionApp = $aJson['wp_settings']['subscription'];
		unset($commonSettApp['subscription']);
	}

	$commonSettDiff = array_diff($commonSettApp,$commonSett);
	$subScrSettDiff = array_diff($subScriptionApp,$subScription);
	
	if(!empty($commonSettDiff) || !empty($subScrSettDiff)){
		$aDttSetting = $aJson['wp_settings'];
		update_option(DTT_SETTING,$aDttSetting);
	}elseif(empty($commonSettApp) || empty($subScriptionApp)){
		//$aDttSetting = $aJson['wp_settings'];
		//update_option(DTT_SETTING,$aDttSetting);
	}*/
}
//General Tab active default
$active = 'general';

//Manage All request actions
if(sanitize_text_field(isset($_REQUEST['subscr'])) && !empty(sanitize_text_field($_REQUEST['subscr']))){
	if(isset($aDttSetting['subscription']['subscr_id']) && !empty($aDttSetting['subscription']['subscr_id'])){
		//$paypal = $dttTaskFunObj->getPaypalAPI("express_checkout"); 
		$paypal = get_option(DTT_PAYPAL);
		$aInitData['sandbox'] = ($paypal['mode']=='sandbox'?true:false);
		$aInitData['API'] = $paypal['api_details'];
		$paypalExpress = new Paypal_Express($aInitData);
		$aData = [];
		$aData = ['subscr_id'=>$aDttSetting['subscription']['subscr_id']];

		switch (sanitize_key($_REQUEST['subscr'])) {
			case "cancel":
				$aData['action'] = 'Cancel';
				$aData['note'] = __('Cancel Subscriptions for next cycle',DTT_TEXT_DOMAIN);
				break;
			default:
				$aData['action'] = sanitize_text_field($_REQUEST['subscr']);
				$aData['note'] = __('Cancel Subscriptions for next cycle',DTT_TEXT_DOMAIN);			
				break;
		}

		$manageRecurringResponse = $paypalExpress->ManageRecurringPaymentsProfileStatus($aData);
		if(isset($manageRecurringResponse['ACK']) && strtolower($manageRecurringResponse['ACK'])=="success"){
			/*$saveData = ['amount'=>$recurring['amount'],'payer_id'=>$recurring['payer_id'],'subscr_id'=>$aRecurringResponse['PROFILEID'],'extra'=>number_format(($recurring['amount']*$aDttSetting['subscription']['bonus']/100),2)];                
			$aResponse = $dttTaskFunObj->saveTransactionData($saveData);*/
			
			$aDttSetting['subscription'] = [];
			update_option(DTT_SETTING,$aDttSetting);
			update_option(DTT_PAYPAL,'');
			
			$curlViewUrl = $dttTaskFunObj->webServiceUrl("users/settings");
			$dttTaskFunObj->__defaultMethod = "POST";
			$params = ['email'=>$wpVals['admin_email'],'detail'=>['wp_settings'=>json_encode($aDttSetting)]];
			$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl,$params);
			
			$dttTaskFunObj->setMsgs('success',__('Your subscription plan has been cancelled successfully.',DTT_TEXT_DOMAIN));
			
		}else{
			$dttTaskFunObj->setMsgs('error',__('There is a problem in process.',DTT_TEXT_DOMAIN));
		}
	}
	header('location:'.$page_url);
	exit;
	die();
}elseif(sanitize_text_field(isset($_REQUEST['pay_type'])) && sanitize_text_field(isset($_REQUEST['token']))){
	$saveSetting = $notError = false;
	switch (sanitize_key($_REQUEST['pay_type'])) {
		case "success":

			//$paypal = $dttTaskFunObj->getPaypalAPI("express_checkout"); 
			$paypal = get_option(DTT_PAYPAL);

			$aInitData['sandbox'] = ($paypal['mode']=='sandbox'?true:false);
			$aInitData['API'] = $paypal['api_details'];
			$paypalExpress = new Paypal_Express($aInitData);
			
			$getExpressResponse = $paypalExpress->GetExpressCheckoutDetails(sanitize_text_field($_REQUEST['token']));
			
			if(!isset($getExpressResponse['ERRORS']) && strtolower($getExpressResponse['ACK'])=="success")
			{
				 $recurring = ['token'			=>	$getExpressResponse['TOKEN'],
				 			   'payer_id'		=>	$getExpressResponse['PAYERID'],
				 			   'profile_start'	=>	gmdate( 'Y-m-d\TH:i:s\Z'),
				 			   'descriptions'	=>	$aDttSetting['subscription']['desc'],
				 			   'period'			=>	$aDttSetting['subscription']['period'],
				 			   'amount'			=>	$aDttSetting['subscription']['amount'],
				 			   'currency'		=>	$paypal['currency'],
				 			   //'total_cycle'	=>	2
				 			  ];
				$aRecurringResponse = $paypalExpress->CreateRecurringPaymentsProfile($recurring);
				
				if(isset($aRecurringResponse['ACK']) && strtolower($aRecurringResponse['ACK'])=="success")
				{           
					$notError = true;
					$aDttSetting['subscription']['subscr_id'] = $aRecurringResponse['PROFILEID'];
					update_option(DTT_SETTING,$aDttSetting);
					$uSetting = get_option(DTT_SETTING);
					$uSetting['paypal'] = $paypal;
                    $saveData = ['amount'=>$recurring['amount'],'payer_id'=>$recurring['payer_id'],'subscr_id'=>$aRecurringResponse['PROFILEID'],'extra'=>number_format(($recurring['amount']*$aDttSetting['subscription']['bonus']/100),2),'details'=>$uSetting];                
					$aResponse = $dttTaskFunObj->saveTransactionData($saveData);
					if($aResponse['code']==1){
						$saveSetting = true;
						$dttTaskFunObj->setMsgs('success',__('Your subscription profile has been created successfully.',DTT_TEXT_DOMAIN));
					}else{
						$dttTaskFunObj->setMsgs('error',__('Your subscription profile has been created successfully. But There is a problem in your saving request.',DTT_TEXT_DOMAIN));
					}		
                }else{
                	$dttTaskFunObj->setMsgs('error',__('There is a problem in your request.',DTT_TEXT_DOMAIN));
				}
			}else{
				$dttTaskFunObj->setMsgs('error',__('There is a problem in your request.',DTT_TEXT_DOMAIN));
			}
			break;
		
		default:
			$dttTaskFunObj->setMsgs('error',__('There is a problem in your request.',DTT_TEXT_DOMAIN));
			break;
	}
	if(!$notError){
		unset($aDttSetting['subscription']);
        update_option(DTT_SETTING,$aDttSetting);
    }
    if(!$saveSetting){
        $curlViewUrl = $dttTaskFunObj->webServiceUrl("users/settings");
		$dttTaskFunObj->__defaultMethod = "POST";
		$params = ['email'=>$wpVals['admin_email'],'detail'=>['wp_settings'=>json_encode($uSetting)]];
		$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl,$params);
	}
	header('location:'.$page_url);
	exit;
	die();
}elseif(( sanitize_text_field(isset( $_POST['dtt_nonce_field'] ))  && wp_verify_nonce( sanitize_text_field($_POST['dtt_nonce_field']), 'dtt_nonce_action' ) )){
	$setType = sanitize_text_field($_POST['setting_type']);
	if($setType){
		$agency = isset($aDttSetting["agency_ref_id"])?$aDttSetting["agency_ref_id"]:'';
		$aVals =  array_map( 'sanitize_text_field', wp_unslash( $_POST['val'] ) );	
		$active = sanitize_text_field($_POST['setting_type']);

		$pay = false;
		
		if($setType=='general'){
			$aDttSetting['add_task_btn_on_front_client'] = isset($aVals['add_task_btn_on_front_client'])?$aVals['add_task_btn_on_front_client']:0;
			$aDttSetting['add_feedback_btn_visitors'] = isset($aVals['add_feedback_btn_visitors'])?$aVals['add_feedback_btn_visitors']:0;
			$aDttSetting['show_powered_by'] = isset($aVals['show_powered_by'])?$aVals['show_powered_by']:0;
			$aDttSetting['auditor_see_website'] = isset($aVals['auditor_see_website'])?$aVals['auditor_see_website']:0;
			
			if(!$agency && !empty($aVals['agency_ref_id'])){// || $agency!=$aVals['wps_agency_ref_id']){
				$aDttSetting['agency_ref_id'] = $agency = $aVals['agency_ref_id'];
				
				$curlViewUrl = $dttTaskFunObj->webServiceUrl("assign_agency/".$wpVals['admin_email']);
				
				$dttTaskFunObj->__defaultMethod = "POST"; 
				$params = ['agency'=>$agency];
				$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl,$params);
				$aJson = json_decode($aResponse,true);
				if(empty($aJson) || $aJson['code']==0){
					$dttTaskFunObj->setMsgs(empty(($aJson['code']) || (isset($aJson['code']) && $aJson['code']==0)?'error':"success"),(isset($aJson['message'])?$aJson['message']:"There is a problem in your request."));
					header('location:'.$page_url);
					exit;
				}
			}else{
				$aDttSetting["agency_ref_id"] = $agency;
			}
			$aDttSetting = array_merge($aDttSetting,$aVals);
		}elseif($setType=='app'){
			if(isset($aVals['default_subscription']) && !empty($aVals['default_subscription'])){
				$amount = $aVals['default_subscription'];
				$period = sanitize_text_field(wp_unslash($_POST['period']));
				$bonus = 0;
				if($aVals['default_subscription']=='custom'){
					$custom = array_map( 'sanitize_text_field', wp_unslash( $_POST['custom'] ) );
					$amount = $custom['amount'];
					$period = $custom['period'];
					$amountBonus = array_filter(explode(',', $custom['bouns']));
					foreach ($amountBonus as $key => $value) {
						list($bonus,$f,$t) = explode('-', $value);
						if(($amount>=$f && $amount<=$t) || ($key==(count($amountBonus)-1) && $amount>=$t)){
							break;
						}
						$bonus = 0;
					}
				}else{
					list($amount,$bonus) = explode('-', $aVals['default_subscription']);
				}
				$pay = true;
				$aVals['subscription'] = ['amount'=>$amount,'custom'=>($aVals['default_subscription']=='custom'?1:0),'status'=>0,'period'=>$period,'subscr_id'=>'','date'=>date("Y-m-d h:i:s a"),'bonus'=>$bonus,'currency'=>$currency];
				//$aVals['subscription'] = ['amount'=>'5','custom'=>0,'status'=>0,'period'=>'Day','subscr_id'=>''];
				$aVals['subscription']['desc'] = 'Subscription of '.$currency.$aVals['subscription']['amount'].' a '.$aVals['subscription']['period'].' - '.uniqid();
				//$saveAppSetting['subscription'] = $aVals['subscription'];
				unset($aVals['default_subscription']);
			}	
			$aDttSetting = array_merge($aDttSetting,$aVals);
		}elseif($setType=='personal'){

		}
		
		//Save setting on websmarter
		switch ($setType) {
			case 'general':
			case 'app':
				if(!empty($aDttSetting)){
					if(isset($aVals['subscription'])){
						unset($aDttSetting['subscription']);
					}
					$curlViewUrl = $dttTaskFunObj->webServiceUrl("users/settings");
					$dttTaskFunObj->__defaultMethod = "POST";
					$uSetting = $aDttSetting;
					$paypal = get_option(DTT_PAYPAL);
					if(!empty($paypal)){
						$uSetting['paypal'] = $paypal;
					}
					$params = ['email'=>$wpVals['admin_email'],'detail'=>['wp_settings'=>json_encode($uSetting)]];
					$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl,$params);
					$aResponse = json_decode($aResponse,true);
					if($aResponse['code']==0){
						$dttTaskFunObj->setMsgs('error',__('There is a problem in your request, Please try again!.',DTT_TEXT_DOMAIN));
						header('location:'.$page_url);
						exit;
					}		
					update_option(DTT_SETTING,$aDttSetting);
				}		
				break;
			
			default:
				$curlViewUrl = $dttTaskFunObj->webServiceUrl("users/settings");
				$dttTaskFunObj->__defaultMethod = "POST";
				$uSetting = $aVals;
				$params = ['email'=>$wpVals['admin_email'],'detail'=>['personal'=>$aVals]];
				$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl,$params);
				$aResponse = json_decode($aResponse,true);
				if($aResponse['code']==0){
					$dttTaskFunObj->setMsgs('error',__('There is a problem in your request, Please try again!.',DTT_TEXT_DOMAIN));
				}else{
					$dttTaskFunObj->setMsgs('success',__('Your personal info has been updated successfully!.',DTT_TEXT_DOMAIN));	
				}	
				header('location:'.$page_url.'#personal-info');
				exit;	
				break;
		}

		if($pay){
			//$aData = array('amount'=>$aVals['subscription']['amount'],'period'=>$aVals['subscription']['period']);
			$paypal = $dttTaskFunObj->getPaypalAPI("express_checkout"); 
			update_option(DTT_PAYPAL,$paypal);

			$aInitData['sandbox'] = ($paypal['mode']=='sandbox'?true:false);
			$aInitData['API'] = $paypal['api_details'];
			$paypalExpress = new Paypal_Express($aInitData);

			$aData['cancel'] = $page_url . "&pay_type=cancel";
			$aData['return'] = $page_url . "&pay_type=success";
			$aData['recurring'] = $aVals['subscription']['desc'];
			
			$setExpressResponse = $paypalExpress->setExpressCheckout($aData);

			if(!isset($setExpressResponse['ERRORS'])){
				header('location:'.$setExpressResponse['REDIRECTURL']);
				exit;
				die();
			}else{
				unset($aDttSetting['subscription']);
				update_option(DTT_SETTING,$aDttSetting);
				update_option(DTT_PAYPAL,array());
				$dttTaskFunObj->setMsgs('error',__('Please try again for taking subscription plan.',DTT_TEXT_DOMAIN));
			}
		}else{
			$dttTaskFunObj->setMsgs('success',__( 'Options updated successfully', DTT_TEXT_DOMAIN ));	
		}		
		//header('location:'.$page_url);
		//exit;
	}
}
/*echo "<pre>";
print_r($subscription);
echo "</pre>";*/

?>
<div class="wpsContent wps_no_padding padding-20">
	<div class="wps_task_details">
        <div class="wps_task_hash"><?php echo __( $aParams['title'] ,DTT_TEXT_DOMAIN ) ?></div>
        <div class="wps_invoice">
             <a href="<?= $taskListUrl?>">
                <img src="<?= DTT_API_URL.'images/back_icon.png';?>" alt="BackIcon"> <?= __("Back to Task List",DTT_TEXT_DOMAIN);?>
            </a>
        </div>
    </div>
<h1></h1>
<?= $dttTaskFunObj->getMsgs(); ?>
<div class="wpsSettings">
	<div class="tab pull-left">
	  <a class="tablinks" href="#general-info"><?= __("General Info",DTT_TEXT_DOMAIN);?></a>
	  <a class="tablinks" href="#app-settings"><?= __("App Settings",DTT_TEXT_DOMAIN);?></a>
	  <a class="tablinks" href="#personal-info"><?= __("Personal Info",DTT_TEXT_DOMAIN);?></a>
	</div>
	<div class="pull-left tab-container">
		<div class="hide tab-control appSetting" id="general-info">
			<h4><?= __("Please set your general info",DTT_TEXT_DOMAIN);?></h4>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" class="setting_form">
				<?php wp_nonce_field( 'dtt_nonce_action', 'dtt_nonce_field' ); ?>
				<input type="hidden" name="setting_type" value="general">
				<table class="form-table">
					<tbody>			
						<tr>
							<td>
								<label class="checkbox-container pull-left">
								  <input id="add_task_btn_on_front_client" value="1" name="val[add_task_btn_on_front_client]" class="wps_setting" type="checkbox" <?= (!isset($aDttSetting['add_task_btn_on_front_client']) || (isset($aDttSetting['add_task_btn_on_front_client']) && $aDttSetting['add_task_btn_on_front_client']==1))?'checked="checked"':'';?>>
								  <span class="checkmark"></span>
								</label>
								<label class="pull-left" for="add_task_btn_on_front_client"><?= __("Show Add Task button on front",DTT_TEXT_DOMAIN);?> <span>(<?= __("Admin Only","wps-task-manager");?>)</span> </label>
							</td>
						</tr>
						<tr>
							<td>
								<label class="checkbox-container pull-left">
								  <input id="auditor_see_website" value="1" name="val[auditor_see_website]" class="wps_setting" type="checkbox" <?= (!isset($aDttSetting['auditor_see_website']) || (isset($aDttSetting['auditor_see_website']) && $aDttSetting['auditor_see_website']==1))?'checked="checked"':'';?>>
								  <span class="checkmark"></span>
								</label>
								<label class="pull-left" for="auditor_see_website"><?= __("Allow auditor to see our website",DTT_TEXT_DOMAIN);?> </label>
							</td>
						</tr>	
						<tr>
							<td>
								<label class="checkbox-container pull-left">
								  <input id="add_feedback_btn_visitors" value="1" name="val[add_feedback_btn_visitors]" class="wps_setting" type="checkbox" <?= ((isset($aDttSetting['add_feedback_btn_visitors']) && $aDttSetting['add_feedback_btn_visitors']==1))?'checked="checked"':'';?>>
								  <span class="checkmark"></span>
								</label>
								<label class="pull-left" for="add_feedback_btn_visitors"><?= __("Show Feedback button for all visitors",DTT_TEXT_DOMAIN);?> </label>
							</td>
						</tr>
						<tr>
							<td>
								<label class="checkbox-container pull-left">
								  <input id="show_powered_by" value="1" name="val[show_powered_by]" class="wps_setting" type="checkbox" <?= ((isset($aDttSetting['show_powered_by']) && $aDttSetting['show_powered_by']==1))?'checked="checked"':'';?>>
								  <span class="checkmark"></span>
								</label>
								<label class="pull-left" for="show_powered_by">
									<?= __("Add to footer, Powered by",DTT_TEXT_DOMAIN);?> 
									<img class="wps_setting_logo" src="<?= DTT_API_URL . 'images/nav-logo.png';?>" alt="logo">
								</label>
							</td>
						</tr>	
							
					</tbody>
				</table>
				<table class="form-table preferences">
					<tbody>
						<?php 
						if(isset($aDttSetting['agency_ref_id']) && !empty($aDttSetting['agency_ref_id'])){?>
							<tr>
							<th scope="row" colspan="2" class="settingData"><?php echo __( 'Your Agency Ref. Key',DTT_TEXT_DOMAIN ) ?> : <span>#<?= $aDttSetting['agency_ref_id'];?></span></th>
						</tr>
						<?php
						}else{
						 ?>
						<tr>
							<th scope="row" colspan="2">
								<?= __(" You can specify tasks to a specific agency. if you know the agency ref ID, please put it here",DTT_TEXT_DOMAIN);?>. 
							</th>
						</tr>	
						<tr>
							<th scope="row"><?= __("Agency Ref. ID",DTT_TEXT_DOMAIN);?></th>
							<td>
								<input name="val[agency_ref_id]" value="" class="wpsInputText wps_setting" type="text">
							</td>
						</tr>
						<?php }?>		
					</tbody>
				</table>
				<br>
				<p class="submit">
					<input type="submit" disabled="true" onclick="Task.showLoader();" value="<?php echo __( 'Update Info',DTT_TEXT_DOMAIN ) ?>" class="btn disabled" id="submit" name="submit">
				</p>
			</form>
		</div>

		<div class="hide appSetting tab-control" id="app-settings">
			<h4><?= __("Please set up your preferences here","wps-task-manager");?></h4>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" class="setting_form">
				<?php wp_nonce_field( 'dtt_nonce_action', 'dtt_nonce_field' ); ?>
				<input type="hidden" name="setting_type" value="app">
				<table class="form-table subscription">
					<tbody>	
						<tr>
							<th scope="row" class="title" colspan="3"><?= __("Set default assignee",DTT_TEXT_DOMAIN);?></th>
						</tr>
						<tr>
							<th scope="row" colspan="3" class="content">
								<?= __("Set what default team will be assigned to your new tasks",DTT_TEXT_DOMAIN);//__("You can choose to hire default workers, who will automatically be assigned to you. You can also ask us to assign your task to specific workers of your choice",DTT_TEXT_DOMAIN);?>. 
							</th>
						</tr>
						<tr>
							<th scope="row"><?php echo __( 'My default assignee',DTT_TEXT_DOMAIN) ?></th>
							
							<td class="subscribe-plan">
								<select name="val[default_team]" class="select2 wps_setting" data-placeholder="<?= __("Select Default Team",DTT_TEXT_DOMAIN)?>">
									<option value=""><?= __("Select Default Team",DTT_TEXT_DOMAIN)?></option>
									<?php 
									if(!empty($aTeam)){
										foreach ($aTeam as $key => $team) { 
											if((!isset($aDttSetting['agency_ref_id']) || empty($aDttSetting['agency_ref_id'])) && $key=='agency'){

											}else{
											?>
										<option value="<?= $key; ?>" <?= ((!isset($aDttSetting['default_team']) && $key==$defaultTeam) || (isset($aDttSetting['default_team']) && !empty($aDttSetting['default_team']) && $aDttSetting['default_team']==$key)?'selected="true"':'');?>><?= $team; ?></option>	
									<?php }
										}
									}
									?>
								</select>
							</td>
							<td>
								<button type="submit" onclick="Task.showLoader();" disabled="true" class="disabled">
	                				<img src="<?= DTT_API_URL.'images/right-arrow.png';?>" alt="arrow" class="align-middle" width="20px"> 
	                				<?php echo __( 'Set Team',DTT_TEXT_DOMAIN) ?>
	                			</button>
							</td>
						</tr>
						
					</tbody>
				</table>
			</form>
			<br>
			<hr>
			<br>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" id="subscription_form" onsubmit="Task.showLoader();">
				<?php wp_nonce_field( 'dtt_nonce_action', 'dtt_nonce_field' ); ?>
				<input type="hidden" name="setting_type" value="app">
				<input type="hidden" name="period" value="<?= isset($subscription['period'])?$subscription['period']:''?>">
				<table class="form-table subscription">
					<tbody>	
						<tr>
							<th scope="row" class="title" colspan="3"><?php //= sprintf(__("Autopay %s and earn %s extra credits","wps-task-manager"),strtolower($subscription['period_name']),$subscription['bonus'].'%');?>
								<?= __("Autopay subscription plan and earn extra credits",DTT_TEXT_DOMAIN);?>
							</th>
						</tr>
						<tr>
							<th scope="row" colspan="3" class="content">
								<?php 
								$subs = '';
								if(isset($subscription['plans'])){
									foreach ($subscription['plans'] as $key => $value) {
										$subs .= ' '.$value['amount'].$currency.' a '.strtolower($subscription['period']).',';
									}
								}
								?>
								<?php //sprintf(__("Make paying hassle free. Choose a %s subscription plan from %s or custom amount. Enjoy a %s extra bonus added in your balance %s","wps-task-manager"),strtolower($subscription['period_name']),substr($subs,0,-1),$subscription['bonus'].'%',strtolower($subscription['period_name']));?>
								<?= __("Make paying hassle free. Choose a subscription plan from fixed or custom amount. <br>Enjoy extra bonus added in your balance according to your plan",DTT_TEXT_DOMAIN)?>. 
							</th>
						</tr>

						<tr>
							<th scope="row"><?php echo __( 'My Subscription Plan',DTT_TEXT_DOMAIN ) ?></th>
							<?php if(!isset($aDttSetting['subscription']) || (isset($aDttSetting['subscription']) && empty($aDttSetting['subscription']['subscr_id']))){?>
							<td class="subscribe-plan">
								<select name="val[default_subscription]" class="select2 subscr_plan" required="true" data-placeholder="<?= __("Select Subscription Plan",DTT_TEXT_DOMAIN)?>">
									<option value=""><?= __("Select Subscription Plan",DTT_TEXT_DOMAIN)?></option>
									<?php
									if(isset($subscription['plans'])){
									 foreach ($subscription['plans'] as $key => $value) {
									 	if($value['amount']>0):?>
									<option value="<?= $value['amount'].'-'.$value['bonus'];?>"><?= $value['amount'].$currency.' a '.strtolower($subscription['period']).' + '.$value['bonus'].'% bonus'?></option>
									<?php endif; }
									}?>
									<option value="custom"><?= __("Custom amount",DTT_TEXT_DOMAIN);?></option>
								</select>
							</td>
							<td>
								<button type="submit" class="disabled" disabled="true">
	                				<img src="<?= DTT_API_URL.'images/right-arrow.png';?>" alt="arrow" class="align-middle" width="20px"> 
	                				<?php echo __( 'Set Autopay',DTT_TEXT_DOMAIN ) ?>
	                			</button>
							</td>
						<?php }else{?>
							<td class="subscribe-plan" colspan="2">
								<span><?= sprintf(__('%s a %s and %s extra bonus',DTT_TEXT_DOMAIN),$aDttSetting['subscription']['currency'].$aDttSetting['subscription']['amount'],$aDttSetting['subscription']['period'],$aDttSetting['subscription']['bonus'].'%')?>.</span>
							</td>
						<?php }?>
						</tr>
						<?php if(!isset($aDttSetting['subscription']) || (isset($aDttSetting['subscription']) && empty($aDttSetting['subscription']['subscr_id']))){?>
						<tr id="custom-plan" class="hide">
							<th scope="row">
								<?php 
								$bonusString = '';
								if(isset($subscription['bonus'])){
									foreach ($subscription['bonus'] as $key => $value) {
										$bonusString .= $value['bonus'].'-'.$value['from'].'-'.$value['to'].',';
									}
								}
								$bonusString = substr($bonusString, 0,-1);
								?>
								<input type="hidden" name="custom[bouns]" value="<?= $bonusString?>">
							</th>
							<td class="custom-plan">
								<i class="fa fa-dollar"></i> 
								<input type="text" data-type="number" name="custom[amount]" value="" placeholder="Amount" class="wpsInputText custom_class">
								<select name="custom[period]" class="select2 custom_class" style="width:65%;">
									<option value="" disabled=""><?= __("Period",DTT_TEXT_DOMAIN);?></option>
									<?php
									if(!empty($periodArray)){
									 foreach ($periodArray as $key => $value) {?>
									<option value="<?= $key;?>"><?= $value;?></option>
									<?php }
									}?>
								</select>
							</td>
							<td>
								<button type="submit">
	                				<img src="<?= DTT_API_URL.'images/right-arrow.png';?>" alt="arrow" class="align-middle" width="20px"> 
	                				<?php echo __( 'Set Autopay',DTT_TEXT_DOMAIN ) ?>
	                			</button>
							</td>
						</tr>
						<?php }?>
						<?php if(isset($aDttSetting['subscription']) && !empty($aDttSetting['subscription']['subscr_id'])){?>
						<tr>
							<th scope="row" ></th>
							
							<td colspan="2"><a href="<?= $page_url.'&subscr=cancel'?>" onclick="Task.showLoader();" class="cancel_subs"><?= __("Click here to Cancel Subscription",DTT_TEXT_DOMAIN);?></a>
							</td>
						</tr>
						<?php }?>
						
					</tbody>
				</table>
			</form>
			<br>
			<hr>
			<br>
			<?php /*p class="submit"><input type="submit" value="<?php echo __( 'Save Changes', 'wps-task-manager' ) ?>" class="button button-primary" id="submit" name="submit"></p */ ?>
		</div>

		<div class="hide tab-control appSetting" id="personal-info">
			<h4><?= __("Please set your personal info",DTT_TEXT_DOMAIN);?></h4>
			<form action="" method="post" enctype="multipart/form-data" autocomplete="off" class="setting_form">
				<?php wp_nonce_field( 'dtt_nonce_action', 'dtt_nonce_field' ); ?>
				<input type="hidden" name="setting_type" value="personal">
				<table class="form-table preferences">
					<tbody>
						<tr>
							<th scope="row"><?= __("First Name",DTT_TEXT_DOMAIN);?></th>
							<td>
								<input name="val[first_name]" value="<?php echo $aPersonalInfo['first_name'];?>" class="wpsInputText wps_setting" type="text" required>
							</td>
						</tr>
						<tr>
							<th scope="row"><?= __("Last Name",DTT_TEXT_DOMAIN);?></th>
							<td>
								<input name="val[last_name]" value="<?php echo $aPersonalInfo['last_name'];?>" class="wpsInputText wps_setting" type="text" required>
							</td>
						</tr>
						<tr>
							<th scope="row"><?= __("Domain",DTT_TEXT_DOMAIN);?></th>
							<td>
								<input name="val[domain]" value="<?php echo $aPersonalInfo['domain'];?>" class="wpsInputText wps_setting" type="text" disabled="">
							</td>
						</tr>
						<tr>
							<th scope="row"><?= __("Login Url",DTT_TEXT_DOMAIN);?></th>
							<td>
								<input name="val[login_url]" value="<?php echo $aPersonalInfo['login_url'];?>" class="wpsInputText wps_setting" type="text">
							</td>
						</tr>	
					</tbody>
				</table>
				<br>
				<p class="submit">
					<input type="submit" onclick="Task.showLoader();" value="<?php echo __( 'Update Info',DTT_TEXT_DOMAIN ) ?>" class="btn" id="submit" name="submit">
				</p>
			</form>
		</div>
	</div>
</div>
</div>