<?php 
if ( ! defined( 'ABSPATH' ) ) exit;

use DoThatTask\Includes\Gatway\Paypal\Paypal_Express;

$page_url =  admin_url( 'admin.php?page=dtt_task_manager_settings' );
$taskUrl =  admin_url( 'admin.php?page=dtt_task_manager_view_task' );
?>
<div class="wsp-transaction wpsContent wps_no_padding padding-20">
	<div class="wps_details_acc">
		<span class="wps_task_acc"><?php echo __( $aParams['title'] ,DTT_TEXT_DOMAIN ) ?></span>
    </div>
	<h1></h1>

	<div class="row mt-3">
		<div class="col-md-9 offset-md-1">
			<h1 class="gs-heading-title"><?php echo __( 'Welcome to DoThatTask',DTT_TEXT_DOMAIN ); ?> </h1>
			<p class="gs-sub-title"><?php echo sprintf(__( 'We recommend you to watch this 1-minute getting started video, and then create %s your first task, clicking on the button below' ,DTT_TEXT_DOMAIN ),'<br/>'); ?>.</p>
			<iframe width="100%" height="430" src="https://www.youtube.com/embed/NjY2qQCShZQ"></iframe> 
			<p class="text-center font-weight-bold mt-2"><?php echo sprintf(__( 'You got FREE $100 worth of service! %s Let\'s get you started' ,DTT_TEXT_DOMAIN ),'<br/>'); ?></p>
		</div>
	</div>

	<div class="row mt-1">
		<div class="col-md-1">&nbsp;</div>
		<div class="col-md-9 text-center">
			<a href="<?php echo $taskUrl;?>" class="btn btn-sm btn-clr"><?php echo __( 'Create Your First Task' ,DTT_TEXT_DOMAIN ) ?></a>
			<a href="https://www.vectera.com/book/dothattask/meetus/dothattask/" target="_blank" class="btn btn-sm btn-without-clr ml-3"><?php echo __( 'Schedule a Demo' ,DTT_TEXT_DOMAIN ) ?></a>
		</div>
	</div>
</div>

